[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: pu: package apt/

On Mi, 2011-04-13 at 04:48 -0500, Jonathan Nieder wrote:
> Hi,
> Julian Andres Klode wrote:
> > David submitted another bundle. It adds xz support to the rest of APT,
> > so that we do not have half-baked support.  The diff is very small and it
> > may be a good idea to include it as well. What do you think?
> Just a quick nitpick: be sure to add the appropriate dependency when
> doing this.  Despite dpkg's pre-dependency, xz-utils is not essential
> and it would be nice if it's easy to change dpkg to use liblzma when
> a spare moment comes.
APT does not depend on xz. It just happens to support xz when it is
installed, it does not require it. And it always prefers other options,
unless told to do xz files

Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.

Reply to: